Requirements

Eclipse 3.5

The current build of QKDT is based on Eclipse 3.5. There are a couple of options to install QKDT:

RCP application

At the time being the RCP installation can not be extended with the update manager (e.g. in order to install a subversion plug-in or similar).

Eclipse 3.5 via update site

  1. Download and unzip the Eclipse Platform 3.5. The Eclipse Platform is the minimal requirement, of course you can also use any other Eclipse Package which includes the platform, e.g. Eclipse Classic
  2. Start up Eclipse 3.5 on JDK 1.6 or above
  3. From the main menu choose Help->Install New Software...
  4. Click Add...
  5. Enter a name, e.g. qkdt
  6. Enter the URL http://qkdt.pluginbuilder.org/nightly/p2-updateSite
  7. Finish the dialog with OK
  8. Check both features (see screenshot below)
  9. Click Next and confirm the license agreements. Note that Eclipse also ensures that the required version of DLTK will be installed from the Galileo update site if necessary.

Eclipse 3.4

QKDT can be installed with Eclipse 3.4.1 and DLTK 0.95.1. The preferred installation is via update site.

Install via Update Site

  1. Download and unzip the Eclipse Platform 3.4.1. The Eclipse Platform is the minimal requirement, of course you can also use any other Eclipse Package which includes the platform, e.g. Eclipse Classic 3.4.1
  2. Start up Eclipse 3.4.1 on JDK 1.5 or above
  3. From the main menu choose Help->Software Updates...
  4. Switch to the Available Software tab
  5. Click Add Site...
  6. Enter the URL http://qkdt-3-4.pluginbuilder.org/nightly/p2-updateSite
  7. Open the QKDT Update Site and check the QKDT Feature (see screenshot below)
  8. Click "Install...". Eclipse calculates the dependencies which includes DLTK core 0.95.1
  9. Confirm the license agreements of QKDT and DLTK

Install repository archive

You can also install QKDT from a repository archive. First download p2-repository-<version>.zip from http://qkdt-3-4.pluginbuilder.org/latest.  Then go through the steps described above but instead of entering the update site URL just click on "Archive..." and select the downloaded file.

Install into dropins directory

You should use this method only if you can not use the update site methods for any reason.

  1. Install Eclipse 3.4.1 and DLTK 0.95.1
  2. Download org.qkdt.feature-<feature>.zip from http://qkdt-3-4.pluginbuilder.org/latest
  3. Unzip the file into the dropins directory in your Eclipse installation directory
  4. Start Eclipse with -clean

© 2007,2008 Markus Barchfeld.